# variable "esxi_hostname" {
#   description = "IP address of the ESXi host"
# }

# variable "esxi_hostport" {
#   description = "SSH port of the ESXi host"
#   default     = "22"
# }

# variable "esxi_hostssl" {
#   description = "SSL port of the ESXi host"
#   default     = "443"
# }

# variable "esxi_username" {
#   description = "Username to connect to the ESXi host"
# }

# variable "esxi_password" {
#   description = "Password to connect to the ESXi host"
#   sensitive   = true
# }

variable "azure_subscriptionid" {
  description = "ID of the Azure Subscription."
  sensitive   = true
}

variable "azure_resourcegroup" {
  description = "Name of the Azure Resource Group."
}

variable "azure_location" {
  description = "Location of the Azure resources"
  default     = "westeurope"
}

variable "azure_user" {
  description = "User that will gain access to the Azure vm's"
  default     = "iac"
}

variable "prefix" {
  description = "The Prefix used for all resources"
  default     = "week-3-opdracht-1"
}

# Pull the SSH public key from Azure Key Vault
data "azurerm_ssh_public_key" "azure" {
  name                = "azure"
  resource_group_name = var.azure_resourcegroup
}
